__gnu_parallel::__accumulate_selector< _It >(3cxx)

NAME
__gnu_parallel::__accumulate_selector< _It >

SYNOPSIS

Inherits __gnu_parallel::__generic_for_each_selector< _It >.

  Public Member Functions

template<typename _Op > std::iterator_traits< _It >::value_type operator() (_Op __o, _It __i)

  Public Attributes

_It _M_finish_iterator

Detailed Description

  template<typename _It>
struct __gnu_parallel::__accumulate_selector< _It >" std::accumulate() selector.

Definition at line 208 of file for_each_selectors.h.

Member Function Documentation

  template<typename _It > template<typename _Op > std::iterator_traits<_It>::value_type __gnu_parallel::__accumulate_selector< _It >::operator() (_Op __o, _It __i) [inline]

Functor execution.

Parameters:
    __o Operator (unused).
    __i iterator referencing object.

Returns:
    The current value.

Definition at line 216 of file for_each_selectors.h.

Member Data Documentation

  template<typename _It > _It __gnu_parallel::__generic_for_each_selector< _It >::_M_finish_iterator [inherited]

_Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Definition at line 47 of file for_each_selectors.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.